
apiVersion: v1
kind: Pod
metadata:
  name: demo
  labels:
    app.kubernetes.io/name: proxy
spec:
  containers:
  - name: demo
    image: julius/prometheus-demo-service
    ports:
      - containerPort: 80
        name: http-demo-svc
---
apiVersion: v1
kind: Service
metadata:
  name: demo-service
spec:
  selector:
    app.kubernetes.io/name: proxy
  ports:
  - name: name-of-service-port
    protocol: TCP
    port: 8080
    targetPort: http-demo-svc
---
apiVersion: source.toolkit.fluxcd.io/v1beta2
kind: HelmRepository
metadata:
  name: ricardo
  namespace: prometheus
spec:
  interval: 86400s
  url: https://ricardo-ch.github.io/helm-charts
---
apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: promlens
  namespace: prometheus
spec:
  releaseName: promlens
  chart:
    spec:
      chart: promlens
      sourceRef:
        kind: HelmRepository
        name: ricardo
      # version: 45.21.0
  values:
    deployment:
      # -- Number of replicas
      replicas: 1
      # TODO: Change to opensource version
      # -- PromLens Container Image
      # image: "prom/promlens"
      # -- PromLens Container Image Version
      # version: "v0.3.0"
      # -- PromLens Container Image
      image: "promlabs/promlens"
      # -- PromLens Container Image Version
      version: "v1.1.0"

    config:
      # -- License key for PromLens
      license_key: ""

      grafana:
        # -- Enable Grafana Integration
        enabled: false
        # -- The URL of your Grafana installation, to enable the Grafana datasource selector.
        url: ""
        # -- The auth token to pass to the Grafana API, see https://grafana.com/docs/grafana/latest/http_api/auth/
        api_token:

      shared_links:
        gcs:
          # -- Enable Link Sharing via Google Storage Bucket
          enabled: false
          # -- Google Cloud Storage Account
          storage_account:
          # -- Bucket Name in Storage Account
          bucket: ""
        sql:
          # -- Enable Link Sharing via SQL database
          enabled: false
          # -- The SQL driver to use for storing shared links in a SQL database. Supported values: [mysql, sqlite3].
          driver: mysql
          # -- SQL Data Source Name when using an SQL database to shared links (see https://github.com/go-sql-driver/mysql#dsn-data-source-name) for MySQL, https://github.com/mattn/go-sqlite3#dsn-examples for SQLite3).
          dsn: ""
          # -- Auto-create required tables in SQL database
          create_tables: false
          # -- The maximum retention time for shared links when using a SQL database (e.g. '10m', '12h', '720h'). Set to 0 for infinite retention.
          retention: "0"
      web:
        # -- The URL under which PromLens is externally reachable (for example, if PromLens is served via a reverse proxy). Used for generating relative and absolute links back to PromLens itself. If the URL has a path portion, it will be used to prefix all HTTP endpoints served by PromLens. If omitted, relevant URL components will be derived automatically.
        external_url: http://prometheus.localhost
        # -- The default Prometheus URL to load PromLens with.
        default_prometheus_url: http://prometheus.localhost

      log:
        # -- Only log messages with the given severity or above. One of: [debug, info, warn, error]
        level: "debug"
        # -- Output format of log messages. One of: [logfmt, json]
        format: "logfmt"
  interval: 86400s




























# apiVersion: networking.k8s.io/v1
# kind: Ingress
# metadata:
#   annotations:
#     ingress.kubernetes.io/ssl-redirect: "true"
#   name: demo
#   namespace: default
# spec:
#   ingressClassName: nginx
#   rules:
#   - host: demo.localhost
#     http:
#       paths:
#       - backend:
#           service:
#             name: demo-service
#             port:
#               number: 8080
#         path: /
#         pathType: Prefix
# ---
# apiVersion: v1
# kind: Pod
# metadata:
#   name: promlens-pod
#   labels:
#     app.kubernetes.io/name: proxy
# spec:
#   containers:
#   - name: promlens
#     image: prom/promlens
#     ports:
#       - containerPort: 8080
#         name: promlens-svc
# ---
# apiVersion: v1
# kind: Service
# metadata:
#   name: promlens-service
# spec:
#   selector:
#     app.kubernetes.io/name: proxy
#   ports:
#   - name: name-of-service-port
#     protocol: TCP
#     port: 8080
#     targetPort: 8080
# ---
# apiVersion: networking.k8s.io/v1
# kind: Ingress
# metadata:
#   annotations:
#     ingress.kubernetes.io/ssl-redirect: "true"
#   name: promlens
#   namespace: default
# spec:
#   ingressClassName: nginx
#   rules:
#   - host: promlens.localhost
#     http:
#       paths:
#       - backend:
#           service:
#             name: promlens-service
#             port:
#               number: 8080
#         path: /
#         pathType: ImplementationSpecific

